SessionDock Developer Docs

Make your creative workflow programmable.

Authoritative guides, generated Local API reference, and practical patterns for local automation, scripts, launchers, and AI agents running alongside SessionDock.

Fetch preview metadata

GET/api/v1/sessions/{id}/preview
curl -X GET 'http://127.0.0.1:18432/api/v1/sessions/session_123/preview' \
  -H 'Authorization: Bearer <token>'

Parameters

NameInTypeRequiredDescriptionExample
idpathstringYesSession identifier.session_123

Responses

200

Preview metadata

application/json

Schema Shape

{
  "data": {
    "id": "<string>",
    "previewStatus": "<string>",
    "preferredPreviewId": "<string>",
    "previewUrl": "<string>",
    "previewAudioUrl": "<string>",
    "previewAudioMime": "<string>",
    "previews": [
      {
        "id": "<string>",
        "name": "<string>",
        "path": "<string>",
        "status": "<string>"
      }
    ]
  }
}

Example

{
  "data": {
    "id": "<string>",
    "previewStatus": "<string>",
    "preferredPreviewId": "<string>",
    "previewUrl": "<string>",
    "previewAudioUrl": "<string>",
    "previewAudioMime": "<string>",
    "previews": [
      {
        "id": "<string>",
        "name": "<string>",
        "path": "<string>",
        "status": "<string>"
      }
    ]
  }
}
401

Missing or invalid bearer token.

application/json

Schema Shape

{
  "error": {
    "status": 0,
    "code": "<string>",
    "message": "<string>"
  }
}

Example

{
  "error": {
    "status": 401,
    "code": "unauthorized",
    "message": "Provide Authorization: Bearer <token>."
  }
}
404

No matching resource was found.

application/json

Schema Shape

{
  "error": {
    "status": 0,
    "code": "<string>",
    "message": "<string>"
  }
}

Example

{
  "error": {
    "status": 404,
    "code": "not_found",
    "message": "session not found"
  }
}